//
//  NewsfeedProtocols.swift
//  VKExt
//
//  Created programmist_NA on 25.05.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import Foundation
import UIKit

//MARK: Wireframe -
protocol NewsfeedWireframeProtocol: class {
    
}
//MARK: Presenter -
protocol NewsfeedPresenterProtocol: class {
    func start(request: Newsfeed.Model.Request.RequestType)
    func presentData(response: Newsfeed.Model.Response.ResponseType)
    func onLikePost(request: Newsfeed.Model.Request.RequestType)
    func onReloadData()
}

//MARK: Interactor -
protocol NewsfeedInteractorProtocol: class {
    var presenter: NewsfeedPresenterProtocol?  { get set }
    func start(request: Newsfeed.Model.Request.RequestType)
    func makeRequest(request: Newsfeed.Model.Request.RequestType)
}

//MARK: View -
protocol NewsfeedViewProtocol: class {
    var presenter: NewsfeedPresenterProtocol?  { get set }
    func displayData(viewModel: Newsfeed.Model.ViewModel.ViewModelData)
    func reloadData()
}
